package it.tecnologieweb.pizza.client;

import it.tecnologieweb.pizza.web.dao.CorsoDAO;
import it.tecnologieweb.pizza.web.dao.CorsoTO;
import it.tecnologieweb.pizza.web.dao.DAOFactory;
import it.tecnologieweb.pizza.web.dao.ProfessoreDAO;
import it.tecnologieweb.pizza.web.dao.ProfessoreTO;
import it.tecnologieweb.pizza.web.dao.hsqldb.HsqldbCorsoDAO;
import it.tecnologieweb.pizza.web.dao.hsqldb.HsqldbProfessoreDAO;

import java.sql.SQLException;
import java.util.List;

public class InitHsqldb {

	/**
	 * @param args
	 * @throws SQLException 
	 */
	public static void main(String[] args) throws SQLException {
		DAOFactory dao_factory = DAOFactory.getDAOFactory(DAOFactory.HSQLDB);
		// ----------------------------------
		ProfessoreDAO prof_dao = dao_factory.getProfessoreDAO();
		((HsqldbProfessoreDAO)prof_dao).initTable();
		// ----------------------------------
		CorsoDAO corso_dao = dao_factory.getCorsoDAO();
		((HsqldbCorsoDAO)corso_dao).initTable();
		// ----------------------------------
		ProfessoreTO prof_to1 = new ProfessoreTO();
		prof_to1.setNome("Antonio");
		prof_to1.setCognome("Corradi");
		prof_to1.setMatricola("200155423");
		prof_to1.setId(prof_dao.insertProfessore(prof_to1));
		ProfessoreTO prof_to2 = new ProfessoreTO();
		prof_to2.setNome("Costante");
		prof_to2.setCognome("Pontini");
		prof_to2.setMatricola("200155344");
		prof_to2.setId(prof_dao.insertProfessore(prof_to2));
		ProfessoreTO prof_to3 = new ProfessoreTO();
		prof_to3.setNome("Giuliano");
		prof_to3.setCognome("Franceschi");
		prof_to3.setMatricola("200155345");
		prof_to3.setId(prof_dao.insertProfessore(prof_to3));
		// ----------------------------------
		CorsoTO corso_to1 = new CorsoTO();
		corso_to1.setNome("informatica I");
		corso_to1.setAnno("I");
		corso_to1.setProfessore(prof_to1);
		corso_dao.insertCorso(corso_to1);
		CorsoTO corso_to2 = new CorsoTO();
		corso_to2.setNome("informatica II");
		corso_to2.setAnno("II");
		corso_to2.setProfessore(prof_to1);
		corso_dao.insertCorso(corso_to2);
		CorsoTO corso_to3 = new CorsoTO();
		corso_to3.setNome("informatica III");
		corso_to3.setAnno("III");
		corso_to3.setProfessore(prof_to1);
		corso_dao.insertCorso(corso_to3);
		CorsoTO corso_to4 = new CorsoTO();
		corso_to4.setNome("matematica I");
		corso_to4.setAnno("I");
		corso_to4.setProfessore(prof_to2);
		corso_dao.insertCorso(corso_to4);
		CorsoTO corso_to5 = new CorsoTO();
		corso_to5.setNome("matematica II");
		corso_to5.setAnno("II");
		corso_to5.setProfessore(prof_to2);
		corso_dao.insertCorso(corso_to5);
		CorsoTO corso_to6 = new CorsoTO();
		corso_to6.setNome("matematica III");
		corso_to6.setAnno("III");
		corso_to6.setProfessore(prof_to2);
		corso_dao.insertCorso(corso_to6);
		// ----------------------------------
		List<ProfessoreTO> profs = prof_dao.getProfessori();
		if ( profs != null )
			for ( ProfessoreTO prof : profs ) 
				System.out.println(prof_dao.getProfessore(prof.getId()).toString());
		// ----------------------------------
		List<CorsoTO> corsi = corso_dao.getCorsi();
		if ( corsi != null )
			for ( CorsoTO corso : corsi ) 
				System.out.println(corso.toString());
	}

}
